OpenNMS API 1.2.9

## Package org.opennms.web.vulnerability

Class Summary
Vulnerability: A JavaBean implementation to hold information about a security vulnerability as defined by OpenNMS.
VulnerabilityFactory: Encapsulates all querying functionality for vulnerabilities.
VulnerabilityFactory.ResolutionType: Convenience class to determine what sort of events to include in a query.
VulnerabilityFactory.SortStyle: Convenience class to determine sort style of a query.
VulnerabilityFilterServlet: A servlet that handles querying the vulnerabilities table by using filters to create a vulnerability list and and then forwards that list to a JSP for display.
VulnerabilityQueryParms: Convenience data structure for holding the arguments to an vulnerability query.
VulnerabilityUtil: Convenient Java methods and constants for use in the vulnerability user interface.

Exception Summary
VulnerabilityIdNotFoundException

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.